Changelog for phplist  2006-10-06 23:38

2006-10-06 23:37  mdethmers

	* new version 2.10.3

2006-10-06 21:44  mdethmers

	* fixed send a webpage adding site url when placeholders are used
	  in hrefs

2006-10-04 15:45  mdethmers

	* #1644 and more, update to handle multi byte languages in keeping
	  the subject when sending a message.

2006-10-04 15:43  mdethmers

	* updated error message to refer to mantis.phplist.com

2006-10-04 13:40  mdethmers

	* #8092 single quoted hrefs are not tracked. #4137 click tracking
	  in text emails replaces wrong links

2006-10-04 13:00  mdethmers

	* #5444 actions on handling bounce not processed

2006-10-04 12:49  mdethmers

	* #6531 totals in stats may be incorrect

2006-10-04 12:41  mdethmers

	* #7684, last modified on webpages is unreliable to determine that
	  the page has changed

2006-10-04 11:26  mdethmers

	* #7744, importing empty values doesn't clear data from the
	  database

2006-10-03 16:51  mdethmers

	* updated RSS frequency selection on frontend to set it to the one
	  single option available, if the subscribe page has only one
	  option selected to offer. It will also be hidden, so that the
	  user does not need to make a choice

2006-10-03 16:41  mdethmers

	* added crude initial method to specify the frontend language per
	  subscribe page instead of system wide. Will fail on the charSet
	  of pages, as this will continue to use the globally defined one,
	  regardless of language

2006-10-03 15:47  mdethmers

	* #6783 errors in help pages

2006-10-03 15:20  mdethmers

	* #5528 backend charset overwrites frontend one

2006-10-03 15:14  mdethmers

	* #7046 russian frontend translation

2006-10-03 15:11  mdethmers

	* fixed #7418 spelling mistake in threshold causing the RSS
	  threshold not to be used

2006-10-03 14:56  mdethmers

	* #7623 added little explanation about purging rss entries

2006-10-03 14:46  mdethmers

	* #8078, one word in from line will do what help says it does

2006-10-03 14:08  mdethmers

	* #8083 added list of provinces in the Netherlands

2006-10-03 14:05  mdethmers

	* #7983 .cat as top level domain added

2006-10-03 14:01  mdethmers

	* added forward to default footer

2006-10-03 13:08  mdethmers

	* added japanese frontend translation

2006-10-03 13:04  mdethmers

	* removed php version warning from home

2006-10-03 13:03  mdethmers

	* fixed multiple value attributes not remembering values

2006-08-10 18:05  mdethmers

	* added urlencode to RSS validation link

2006-08-09 15:53  mdethmers

	* #6648, added je as allowed top level domain, for Jersey

2006-08-09 15:42  mdethmers

	* fixed #6508, using exit causes pages to be cut off without
	  displaying the footer in some cases

2006-08-09 14:57  mdethmers

	* #5630, new croation frontend translation

2006-08-09 14:54  mdethmers

	* #6017, updated to portuguese frontend translation

2006-08-09 14:47  mdethmers

	* #6992, added language file for usa.inc to distinguish from
	  english.inc

2006-08-09 14:35  mdethmers

	* fixed #5862, corrections to german frontend translation

2006-08-09 13:05  mdethmers

	* fixed #7054, forgot password did not work

2006-08-09 12:40  mdethmers

	* fixed #5927, http vs https is configurable and less hard coded

2006-08-09 10:35  mdethmers

	* fixed #5365, quotes in listname are escaped in system messages

2006-08-08 17:40  mdethmers

	* fixed #5352 processqueue and processbounces display accented
	  characters incorrectly

2006-08-08 15:31  mdethmers

	* #4411, rescheduled messages have wrong calculation of time it
	  takes to send

2006-08-08 15:23  mdethmers

	* #4721 update of traditional chinese backend translation

2006-08-08 15:21  mdethmers

	* #4721 update of traditional chinese

2006-08-08 14:50  mdethmers

	* #6644 added english-usa translation

2006-08-08 14:22  mdethmers

	* #6889 update to french translation

2006-08-08 14:16  mdethmers

	* added new french frontend translation

2006-08-08 13:55  mdethmers

	* fixed XSS vulnerability

2006-07-20 15:34  ezequielsaenz

	* solves http://mantis.tincan.co.uk/view.php?id=5017

2006-06-21 11:58  mdethmers

	* fixed #5866, link in text email not parsed if preceeded by
	  newline

2006-05-24 15:35  mdethmers

	* updated configure to allow translation of default config labels

2006-05-23 16:32  ezequielsaenz

	* updated initialise to handle revised DB structure

2006-05-05 11:44  mdethmers

	* added slovenian translation

2006-05-03 14:42  mdethmers

	* added estonian translation

2006-04-28 13:10  mdethmers

	* updated data structure to properly define unique and index
	  elements

2006-04-28 13:07  mdethmers

	* updated initialise to handle new database definitions

2006-04-28 13:05  mdethmers

	* updated config to not load website value from cache

2006-04-27 22:47  mdethmers

	* #5864, added swiss german frontend translation

2006-04-27 22:40  mdethmers

	* fixed #5863, typo in german translation

2006-04-27 22:38  mdethmers

	* fixed #5622, emails do not match is not using translated text

2006-04-27 21:02  mdethmers

	* fixed not sending manual text part of email if a text part is in
	  the database, but manual_text_part is off

2006-04-27 20:50  mdethmers

	* fixed multiline textarea attributes displayed in one line in HTML
	  emails when placeholders are used

2006-04-27 18:05  mdethmers

	* fixed #5997, subscribe button has incorrect text

2006-04-27 17:54  mdethmers

	* fixed #6045, possible local file inclusion, due to PHP
	  vulnerability

2006-04-27 17:44  mdethmers

	* fixed #6015 throttled users are marked unconfirmed immediately

2006-04-27 17:42  mdethmers

	* fixed email validation routine, returning invalid email, even if
	  the email is valid

2006-04-26 20:44  mdethmers

	* fixed #5363, confusing navigation in list of messages

2006-04-26 18:03  mdethmers

	* fixed #4406, clicktrack breaks URLs that have mixed case

2006-04-26 17:58  mdethmers

	* fixed #4642, added option to only get one test email when sending
	  a test

2006-04-26 17:46  mdethmers

	* fixed #4708, newline between links in users

2006-04-26 17:41  mdethmers

	* fixed #4938, Zaire no longer exists

2006-04-26 17:39  mdethmers

	* fixed #4756, phpmailer cannot load error messages from language
	  files

2006-04-26 17:17  mdethmers

	* fixed #5159, template images not replaced when re-uploading new
	  one

2006-04-26 17:15  mdethmers

	* fixed #5361, confusing german translation

2006-04-26 17:13  mdethmers

	* update of french frontend translation

2006-04-26 16:53  mdethmers

	* fixed #5305, upload of images in FCKeditor does not work

2006-04-26 14:01  mdethmers

	* fixed #4215, default values for radio buttons and checkbox groups
	  are not honoured

2006-04-26 12:45  mdethmers

	* fixed #5099, embargo doesn't have hour 23

2006-04-26 12:35  mdethmers

	* fixed #4490, check on admin location fails if it's in another
	  admin directory

2006-04-26 12:30  mdethmers

	* fixed #4713, sql error when a stray table called 'groups' is
	  present in the database

2006-04-26 12:18  mdethmers

	* fixed #4236 trailing php close tags

2006-04-26 11:19  mdethmers

	* fixed upload of attachments not working when in restricted
	  directory mode

2006-04-26 11:19  mdethmers

	* added memory caching of config variables

2006-04-26 11:18  mdethmers

	* fixed homepage reporting latest version has changed, when it
	  hasn't

2006-03-23 09:54  mdethmers

	* file bouncemgt.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file bouncerule.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file bouncerules.php was added on branch phplist-version-2-10-x
	  on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file checkbouncerules.php was added on branch
	  phplist-version-2-10-x on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file domainstats.php was added on branch phplist-version-2-10-x
	  on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file frontend.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file generatebouncerules.php was added on branch
	  phplist-version-2-10-x on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file import2.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file login.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file massunconfirm.php was added on branch phplist-version-2-10-x
	  on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file mclicks.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file mviews.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file pagetitles.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file processbounces.php was added on branch
	  phplist-version-2-10-x on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file processqueue.php was added on branch phplist-version-2-10-x
	  on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file purgerss.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file reconcileusers.php was added on branch
	  phplist-version-2-10-x on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file send.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file setup.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file spage.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file spageedit.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file statsmgt.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file template.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file templates.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file uclicks.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file user.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file usercheck.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file userclicks.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file userhistory.php was added on branch phplist-version-2-10-x
	  on 2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file usermgt.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file users.php was added on branch phplist-version-2-10-x on
	  2006-08-08 18:23:14 +0000

2006-03-23 09:54  mdethmers

	* file viewtemplate.php was added on branch phplist-version-2-10-x
	  on 2006-08-08 18:23:14 +0000

2006-03-23 09:53  mdethmers

	* added vietnamese translation, dutch translation, update of
	  chinese translation

2006-03-13 09:21  mdethmers

	* added croatian frontend translation

2005-11-07 11:53  mdethmers

	* new version 2.10.2

2005-11-03 23:28  mdethmers

	* added page to list bounces per list

2005-11-03 15:32  mdethmers

	* fixed several places of uninitialised variables and potential xss
	  issues as reported by Tobias Klein

2005-11-03 15:14  mdethmers

	* added security warning about GLOBALS issue in PHP

2005-10-27 22:21  mdethmers

	* added list of Brazilian states

2005-10-27 22:21  mdethmers

	* updated default permissions to allow owners to view their stats

2005-10-27 22:18  mdethmers

	* fix to ensure only owners can view their own message

2005-10-27 22:17  mdethmers

	* update and correction of access permission system when upgrading

2005-10-27 22:16  mdethmers

	* updated stats pages

2005-10-27 22:15  mdethmers

	* added statsoverview page

2005-10-27 22:15  mdethmers

	* fixed issue where user can sign up without password, even if
	  password is required

2005-09-29 11:55  mdethmers

	* fixed upgrade not inserting new task pages in the access control
	  system

2005-09-29 11:53  mdethmers

	* fixed #4159, blank screen when using old PHP version

2005-09-27 23:17  mdethmers

	* added extra output in process queue to try to avoid buffering in
	  browser to get around problem #4102

2005-09-27 22:47  mdethmers

	* fixed #4095 blacklisted status in user page reported incorrectly

2005-09-27 22:08  mdethmers

	* fixed #4110 bad html in reconcile users

2005-09-27 22:01  mdethmers

	* updated text email link tracking to not include the last full
	  stop for the redirection

2005-09-27 22:00  mdethmers

	* fixed #4044 double charset definition can cause trouble

2005-09-27 21:55  mdethmers

	* fixed #4077 user check on commandline might fail. Fixed by
	  allowing to switch checking off.

2005-09-27 17:36  mdethmers

	* updated clicktracking to avoid recursive tracking of links

2005-09-27 17:35  mdethmers

	* updated variable declarations

2005-09-27 10:36  mdethmers

	* fixed #4031, choice for html when using radio buttons doesn't
	  default to html

2005-09-27 10:27  mdethmers

	* fixed #4026, latest version is not compared correctly

2005-09-27 10:25  mdethmers

	* added norwegian frontend translation

2005-09-27 10:03  mdethmers

	* fixed #4030, send page doesn't load when require_login is not set

2005-09-27 09:57  mdethmers

	* fixed security issue

2005-09-12 15:38  mdethmers

	* new version 2.10.1

2005-09-12 12:37  mdethmers

	* added some checks for email injection attempts

2005-09-12 12:15  mdethmers

	* updated processbounces

2005-09-09 13:37  mdethmers

	* updated getconfig to refresh tables so that existing sessiondata
	  doesn't interfere causing install errors

2005-09-08 15:05  mdethmers

	* fixed #3989, adding user from admin section doesn't work

2005-09-07 11:11  mdethmers

	* updated german translation

2005-09-05 09:20  mdethmers

	* fixed #3967: Message Viewed statistics wrong for messages not
	  being tracked

2005-08-30 15:31  mdethmers

	* new webbler version 3.0.8

2005-08-30 10:58  mdethmers

	* added some firefox evangelism :-)

2005-08-29 21:05  mdethmers

	* updated brazilian portuguese translation

2005-08-26 13:59  mdethmers

	* updated language check system

2005-08-26 11:38  mdethmers

	* update for language files

2005-08-26 10:45  mdethmers

	* fixed sql error in eventlog

2005-08-25 17:59  mdethmers

	* forced fckeditor to have a minimum height in case height hasn't
	  been set

2005-08-25 17:59  mdethmers

	* updated method to compare version to the latest stable version

2005-08-25 13:41  mdethmers

	* updated template editing to work with new FCKeditor

2005-08-25 12:21  mdethmers

	* added option to suspend "submitted" messages as well as messages
	  in process

2005-08-25 12:21  mdethmers

	* added link to edit message when viewing a message

2005-08-25 12:20  mdethmers

	* fixed #3911, suspended messages are resent at next queue run

2005-08-25 12:01  mdethmers

	* fixed #3923, when editing criteria and removing them again, they
	  are not erased from the actual message

2005-08-25 12:00  mdethmers

	* removed "Save" icon from fckeditor menu, because it doesn't do
	  what would be expected to happen (ie save the message)

2005-08-25 10:56  mdethmers

	* fixed #3910, entered value wasn't recorded when moving users in
	  Reconcile

2005-08-25 10:55  mdethmers

	* added auto refresh to messages page if a message is in progress

2005-08-24 17:33  mdethmers

	* fixed #3268, updated FCKeditor to version 2.0

2005-08-24 14:07  mdethmers

	* added FCKeditor version 2.0

2005-08-23 20:06  mdethmers

	* added warning when cookies are disabled that login will fail

2005-08-22 19:18  mdethmers

	* fixed #3638, ensure usertracking is not duplicated inside one
	  email to avoid incorrect tracking stats

2005-08-22 18:10  mdethmers

	* fixed #3637, with require login off, language switch doesn't show
	  up

2005-08-22 18:04  mdethmers

	* fixed #3662, a forwarded text message doesn't contain the email
	  from the person forwarding it.

2005-08-19 00:00  mdethmers

	* fixed #3788, user confirmation email contains lists that are not
	  active. Now it will only list active lists

2005-08-18 23:53  mdethmers

	* fixed #3652, paragraphs conversion from text to html emails are
	  now a double br, instead of a p

2005-08-18 23:47  mdethmers

	* fixed #3689, saving a template with a mailto url and checking on
	  full urls reports an error

2005-08-18 23:39  mdethmers

	* fixed #3645, domain has precedence to website when handling
	  configuration variables

2005-08-18 23:28  mdethmers

	* added super user restriction to mass unconfirm

2005-08-18 23:27  mdethmers

	* fixed #3647, rescheduled messages have wrong start time for
	  sending, causing "time to send this message" to be very long

2005-08-18 22:14  mdethmers

	* fixed #3659, warning for unsaved changes is confusing

2005-08-18 15:42  mdethmers

	* fixed #1258, admins can export all users not just their own, and
	  added option to export by date of subscription to a list

2005-08-17 09:32  mdethmers

	* fixed #3712, db error and first 50 users do not show up when
	  selecting blacklisted users

2005-08-16 23:04  mdethmers

	* added page to mass unconfirm a list of emails

2005-08-16 22:49  mdethmers

	* fixed #3730, a user criteria selection, when using stacked
	  criteria selection, stacking more than two criteria takes a very
	  long time

2005-08-16 22:23  mdethmers

	* fixed #3757, if the main site url is mentioned in the message,
	  all tracked URL in clicktracking are replaced multiple times.

2005-08-15 20:59  mdethmers

	* functionality change: a notification of change of details email
	  will now list all *active* lists a user is subscribed to

2005-08-15 20:47  mdethmers

	* added german translation

2005-08-10 15:52  mdethmers

	* added repetition of buttons to listings

2005-08-08 09:50  mdethmers

	* fixed #3740, change in rss frequency is not saved

2005-08-03 21:54  mdethmers

	* updated language files

2005-08-03 21:35  mdethmers

	* added page to purge old rss messages

2005-08-03 21:33  mdethmers

	* update to french frontend translation

2005-08-03 11:33  mdethmers

	* added option to purge RSS items from the database

2005-08-02 23:36  mdethmers

	* merged development branch 2.9 into main branch

2005-08-02 22:37  mdethmers

	* merged development branch 2.9 into main branch

2005-07-09 18:30  mdethmers

	* fixed #3294, avoid auto adding of "invalid attribute index"

2005-07-08 11:09  mdethmers

	* bit of optimisation of sql in users page

2005-07-07 23:15  mdethmers

	* updated import to be translateable

2005-07-06 22:23  mdethmers

	* changed texts in files to be translateable

2005-05-20 17:32  mdethmers

	* fixed attribute listing when adding new user

2005-05-20 14:50  mdethmers

	* cleanup of vars

2005-05-20 14:49  mdethmers

	* fixed #3120, manually added user doesn't get a uniqid

2005-03-29 14:36  mdethmers

	* added forward this email to someone else feature

2005-03-23 02:51  damienmckenna

	* NEW: TinyMCE support. (#2658)

2005-01-20 19:46  mdethmers

	* mass changes for I18N

2004-11-15 08:57  mdethmers

	* more i18n updates

2004-11-03 15:27  mdethmers

	* moved users to commonlib

2004-10-27 12:05  mdethmers

	* added date type for attributes

2004-10-26 09:17  mdethmers

	* new version 2.8.12

2004-10-24 11:36  mdethmers

	* fixed #1581, wrong use of tables

2004-10-23 18:15  mdethmers

	* fixed #1617 add empty entry to user attribute when importing a
	  empty value for a user

2004-10-18 10:10  mdethmers

	* fixed #1861, ownership of list is not remembered

2004-10-18 10:07  mdethmers

	* update to import to append instead of prepend new values

2004-09-15 12:20  mdethmers

	* added sorting of webblerlistings

2004-09-02 09:11  mdethmers

	* updated import to append new values to selects instead of
	  prepending them

2004-08-19 17:32  mdethmers

	* fixed issue with is_email where older php versions choked on the
	  regex

2004-08-17 07:43  mdethmers

	* added polish translation

2004-08-05 07:10  mdethmers

	* new version 2.8.11

2004-08-05 07:01  mdethmers

	* fixed bug #1531, list owner is reset when an owner edits it

2004-07-26 19:35  mdethmers

	* added dependency check with webbler forms

2004-07-19 12:49  mdethmers

	* new version 2.8.10

2004-07-19 12:42  mdethmers

	* fixed bugs when using commandline and number of invalid or
	  unconfirmed users is larger than the batch size, causing the
	  message never to complete

2004-07-19 11:27  mdethmers

	* fixed bug not always sending text to domains marked text

2004-07-15 20:08  mdethmers

	* fixed #1378, usertrack not working in some cases

2004-07-15 20:07  mdethmers

	* fixed #1417, javascript error in sendemail

2004-07-02 11:05  mdethmers

	* new version 2.8.9

2004-07-02 11:00  mdethmers

	* removed some confusing old commandline files

2004-07-02 10:30  mdethmers

	* fixed #1385, import not sending notifications and updated import
	  to work better in restrictive environments, like open_basedir and
	  a non system upload_temp_dir

2004-07-02 10:13  mdethmers

	* made page root config less confusing

2004-06-24 17:32  mdethmers

	* fixed bug #1385 import doesn't send request for confirmation

2004-06-24 17:06  mdethmers

	* fixed #1390, wrongly placed comments in config file

2004-06-22 15:31  mdethmers

	* fixed bug #1375 and #1312

2004-06-16 11:54  mdethmers

	* new version 2.8.8

2004-06-16 11:40  mdethmers

	* made getrss a bit more verbose on commandline

2004-06-16 11:37  mdethmers

	* update in editlist to use super variables

2004-06-16 11:03  mdethmers

	* fixed issue, not sending rss messages to users who had already
	  received one

2004-06-15 18:52  mdethmers

	* fixed bug #1314, slashes in configure

2004-06-02 07:35  mdethmers

	* new version 2.8.7

2004-06-02 07:09  mdethmers

	* added index to uniqid to speed up import

2004-06-02 07:07  mdethmers

	* added excel compatible export format

2004-06-02 06:56  mdethmers

	* added intro to listing of subscribe pages

2004-06-01 16:09  mdethmers

	* fixed bug #1297, attributes not saved when adding user in members
	  page

2004-06-01 16:04  mdethmers

	* fixed bug #1307, config variables only get replaced in first
	  email

2004-05-25 08:59  mdethmers

	* added option for double entry of email, contributed by Bruce
	  Morrison

2004-05-24 14:45  mdethmers

	* added configurable option for encoding of HTML part of email

2004-05-24 14:44  mdethmers

	* added headers to config file to split the options into sections

2004-05-24 14:21  mdethmers

	* updated includes to refer to file location of file that includes
	  them

2004-05-24 13:30  mdethmers

	* fixed bug #1286, attributes not saved

2004-05-24 12:42  mdethmers

	* fixed bug that added HTML headers to an email that already had
	  them added unsubscribeurl and preferencesurl as placeholders in
	  an email returning only the url updated html to text formatting
	  added [LISTS] as possible placeholder that will list the names of
	  the lists a users is a member of

2004-05-21 19:01  mdethmers

	* added option to find users by foreign key

2004-05-21 18:39  mdethmers

	* changed error reporting by email to collate all errors in one
	  email and took off sending error by email in case of warning

2004-05-21 18:20  mdethmers

	* fixed bug not including lib.php correctly, causing all kinds of
	  problems

2004-05-21 18:19  mdethmers

	* updated interface in list of messages to use tabs

2004-05-21 11:18  mdethmers

	* added abnormal shutdown detection

2004-05-18 12:33  mdethmers

	* small fixes to make the code validate better

2004-05-17 13:08  mdethmers

	* added simple check of database structure

2004-05-11 12:36  mdethmers

	* updated tabs for interface

2004-05-11 08:41  mdethmers

	* added script to convert short php tags to long ones and ran it
	  across all files

2004-05-10 11:27  mdethmers

	* new version 2.8.6

2004-05-10 11:21  mdethmers

	* added stripslashes to import pages

2004-05-10 11:12  mdethmers

	* added experimental code to optimize HTML email for outlook

2004-05-10 09:17  mdethmers

	* small reorganisation of the main menu

2004-05-10 09:17  mdethmers

	* fixed some more stripslashes

2004-05-10 08:32  mdethmers

	* added warning to have magic quotes runtime off

2004-05-10 08:32  mdethmers

	* fixed bug where helpwindow would not re-open when closed after
	  first time

2004-05-06 14:25  mdethmers

	* added gg as a valid top domain

2004-05-06 08:52  mdethmers

	* updated all kinds of pages to use stripslashes

2004-05-06 08:50  mdethmers

	* updated re-subscription to not create a completely new user
	  record, but update the existing one

2004-05-06 07:38  mdethmers

	* updated info in configure

2004-05-06 06:52  mdethmers

	* added option to create uniqid for users who do not have one

2004-05-05 13:57  mdethmers

	* added workaround for FCK bug, when using FCKeditor. Caused an
	  error please enter subject even when a subject was entered

2004-05-05 11:04  mdethmers

	* added PHPlist version to system details report in help

2004-04-22 14:31  mdethmers

	* updated shaders to remember states between switching pages

2004-04-21 17:38  mdethmers

	* fixed bug in processqueue when using commandline

2004-04-20 10:03  mdethmers

	* updated commandline to allow specification of config file on
	  commandline

2004-04-20 09:44  mdethmers

	* added about page

2004-04-19 12:18  mdethmers

	* new version 2.5.8

2004-04-19 07:29  mdethmers

	* updated collapsing div to be able to default to closed

2004-04-16 17:39  mdethmers

	* added shader styles

2004-04-16 17:37  mdethmers

	* added shader widget to interface library and made listing object
	  contained in it

2004-04-15 17:04  mdethmers

	* fixed bug that caused <BR>s to be added to a table when using the
	  FCKeditor

2004-04-15 16:42  mdethmers

	* made pop port for processing bounces configurable

2004-04-15 05:34  mdethmers

	* added tabs interface object

2004-04-09 14:16  mdethmers

	* new version 2.8.5

2004-04-09 14:14  mdethmers

	* fixed bug blank page after initialisation

2004-04-07 13:58  mdethmers

	* new version 2.8.4

2004-04-07 13:22  mdethmers

	* some small fixes and changes

2004-04-07 07:37  mdethmers

	* fixed thank you page not parsing some placeholders

2004-04-07 07:34  mdethmers

	* fixed commandline detection

2004-04-07 07:33  mdethmers

	* fixed second email to send test to not found

2004-04-07 07:32  mdethmers

	* fixed placeholder not parsed in text version of email

2004-04-04 11:38  mdethmers

	* added option to mark all users with invalid emails as unconfirmed

2004-04-04 11:37  mdethmers

	* updated batch system to reload quickly when no emails were sent,
	  but only skipped

2004-04-04 10:57  mdethmers

	* changed built-in example plugins to disappear with simple
	  install, because it seems to confuse people

2004-04-03 19:19  mdethmers

	* added doc explaining about batch processing

2004-04-03 19:08  mdethmers

	* updated config file to reflect recent changes added system for
	  ISPs to have server wide configuration to force batch processing
	  and set limits to it added system for ISPs to (temporarily)
	  suspend sending of emails completely

2004-04-03 19:03  mdethmers

	* updated integration with the webbler

2004-04-03 19:02  mdethmers

	* added batch processing of messages to send out

2004-04-03 19:01  mdethmers

	* added configurable requirement for password when unsubscribing

2004-04-03 19:00  mdethmers

	* added more identification of user and type of bounce in list of
	  bounces when a bounce is to a system message

2004-04-03 18:57  mdethmers

	* fixed bug, no form ending in editlist

2004-04-03 18:57  mdethmers

	* fixed bug default plugin not referring to correct plugin
	  directory

2004-04-03 18:55  mdethmers

	* fixed problem with open_basedir in import1

2004-04-03 18:54  mdethmers

	* moved common stuff from connect to lib

2004-04-03 18:50  mdethmers

	* fixed clash between webbler and phplist

2004-04-03 18:48  mdethmers

	* added user history entry when user is unconfirmed for a bounced
	  system message

2004-04-03 18:46  mdethmers

	* added feature mark all users as html or text or confirmed in
	  reconcile users

2004-04-03 18:45  mdethmers

	* fixed bug database error when saving a message as draft after it
	  had been loaded for editing

2004-04-03 18:44  mdethmers

	* fixed bug requiring a password when a user re-subscribes with an
	  email and a password has already been set for that user. If the
	  password used is correct it is allowed

2004-04-03 18:35  mdethmers

	* fixed, admins are able to subscribe users to lists they do not
	  own

2004-03-25 19:40  mdethmers

	* added hebrew translation

2004-03-24 10:14  mdethmers

	* added configurable thank-you page for subscribe pages and added
	  method for plugins to add content to this

2004-03-22 08:58  mdethmers

	* added configurable option to not require signing up to any lists

2004-03-22 08:57  mdethmers

	* added configurable thank you page that is displayed after signing
	  up

2004-03-22 07:01  mdethmers

	* added method to 'unrequire' fields in a form, when eg ticking a
	  checkbox

2004-03-16 10:05  mdethmers

	* new version 2.8.3

2004-03-11 11:51  mdethmers

	* fixed bug in csv import not finding email in CSV file

2004-03-10 18:21  mdethmers

	* new version 2.8.2

2004-03-10 18:10  mdethmers

	* fixed bug in HTML to text parsing

2004-03-08 21:28  mdethmers

	* added history for auto unsubscribing in process bounces

2004-03-08 14:33  mdethmers

	* new version 2.8.1

2004-03-08 14:32  mdethmers

	* added simple method of inputting text part of multi part email
	  manually

2004-03-06 11:09  mdethmers

	* enabled getrss for commandline processing

2004-03-05 20:24  mdethmers

	* updated user history functionality, by also logging confirmation,
	  unsubscription and admin changes to list membership

2004-03-05 20:23  mdethmers

	* added basic check on validity of html in email

2004-03-04 16:06  mdethmers

	* new version 2.8.0

2004-03-04 15:21  mdethmers

	* added regular check for update to PHPlist, to deal with people
	  who don't subscribe to the announcements mailinglist, so they are
	  still informed when security alert happen

2004-03-04 15:20  mdethmers

	* changed fckeditor to not show image upload and browse if images
	  directory is not writable

2004-03-04 08:21  mdethmers

	* added smiley images in public directory

2004-03-04 08:14  mdethmers

	* updated integration of FCKeditor into PHPlist

2004-02-29 22:26  mdethmers

	* update to dutch.inc

2004-02-25 11:20  mdethmers

	* fixed issue where edited messages did not remember the lists they
	  were sent to

2004-02-25 09:06  mdethmers

	* improved user import by requesting confirmation of mapping of
	  columns to existing attributes if they are not found

2004-02-25 09:01  mdethmers

	* updated userlib to provide userhistory logging

2004-02-25 09:00  mdethmers

	* updated interfacelib to allow rows for an item in a listing

2004-02-25 08:35  mdethmers

	* added logging of the history of a user record, identifying
	  initial subscription and all other changes the user makes to
	  their record. Also added more information in the email to the
	  administrator of the details of the user that change

2004-02-25 08:30  mdethmers

	* added mexican states, canadian provinces and spanish gender

2004-02-13 17:22  mdethmers

	* updated javascript progressbar to new one

2004-02-13 17:21  mdethmers

	* updated link to feed validator

2004-01-27 20:22  mdethmers

	* new version 2.7.2

2004-01-23 08:36  mdethmers

	* update to danish.inc

2004-01-19 20:09  mdethmers

	* fixed bug where footer of edited message wasn't loaded properly

2004-01-16 19:39  mdethmers

	* new version 2.7.0

2004-01-16 19:26  mdethmers

	* merged editmessage branch into main branch

2004-01-16 18:36  mdethmers

	* added loginname to password reminder email

2004-01-15 12:26  mdethmers

	* missing bracket

2004-01-14 11:12  mdethmers

	* updated loadUser to optionally find user from session

2004-01-14 10:51  mdethmers

	* updated form handling to deal with changed attribute type

2004-01-13 10:07  mdethmers

	* added default stylesheet for HTML messages that are sent without
	  a template

2004-01-13 07:56  mdethmers

	* fixed issue in attributes when merging attributes

2004-01-12 13:18  mdethmers

	* some tiny fixes

2004-01-12 13:18  mdethmers

	* fixed typo

2004-01-10 10:57  mdethmers

	* added URI to error messages, for real now

2004-01-10 10:51  mdethmers

	* added URI to error messages

2004-01-09 10:22  mdethmers

	* added filesize guideline to cvs upload

2004-01-08 09:40  mdethmers

	* removed verbose from csv import

2004-01-08 09:38  mdethmers

	* updated the commandline to allow processqueue and processbounces,
	  without too much output

2004-01-08 09:32  mdethmers

	* added warning if running in CVS mode and developer email is not
	  set

2004-01-08 06:41  mdethmers

	* added update to portuguese (portugal)

2004-01-07 19:38  mdethmers

	* updated plugin system to allow plugins to reside outside the
	  PHPlist tree, so they can be configured without interfering after
	  upgrades

2004-01-06 20:46  mdethmers

	* fixed bug in languages file for frontend not requiring the
	  correct file

2004-01-05 14:10  mdethmers

	* fixed some typos in CSV user import

2003-12-22 16:24  mdethmers

	* modifications to handle register globals off

2003-12-12 14:15  mdethmers

	* added another italian translation :-), italian3.inc

2003-12-10 18:51  mdethmers

	* added 'view' capacity for admin, who can only view user data but
	  not change it, and changed all instances of  to it's	equivalent
	  to work toward proper register globals off

2003-12-10 18:48  mdethmers

	* added All Mailinglists to language file

2003-12-04 08:35  mdethmers

	* added format checking of UK postcodes and switch auto create
	  attributes off

2003-12-03 12:38  mdethmers

	* finished initial stages for sending messages via the commandline

2003-12-03 12:37  mdethmers

	* added commandline README

2003-12-01 06:19  mdethmers

	* added commandline mechanism, stage 1

2003-11-26 13:12  mdethmers

	* updated rescheduling of messages to forget about previous local
	  attachments

2003-11-26 13:10  mdethmers

	* fixed error reporting to not send a password

2003-11-26 12:27  mdethmers

	* added repetition of messages. Messages can automatically be
	  re-submitted based on an interval

2003-11-25 21:34  mdethmers

	* fixed issue where listowner could see more than their own list
	  when sending a message

2003-11-25 18:07  mdethmers

	* updated upgrade for database changes

2003-11-25 14:20  mdethmers

	* updated some formatting of help

2003-11-25 13:56  mdethmers

	* added embargo to a message to send, which means a message will
	  not be sent before this date (and time)

2003-11-25 13:55  mdethmers

	* added ability to use local (server side) attachments

2003-11-25 13:54  mdethmers

	* added use of time in date object

2003-11-24 15:34  mdethmers

	* updated system to allow multiple persons to receive admin
	  messages and reports

2003-11-24 12:50  mdethmers

	* new version 2.6.5

2003-11-24 12:45  mdethmers

	* updated some of the docs and readme-s

2003-11-24 12:44  mdethmers

	* re-enabled attachments

2003-11-24 09:42  mdethmers

	* fixed bug 825, multiple database connections connects to wrong
	  database

2003-11-24 09:20  mdethmers

	* added more security info and security checks

2003-11-23 21:19  mdethmers

	* added ability to switch check for IP address in admin session off

2003-11-23 20:47  mdethmers

	* fixed bug 799, import1 did not work with register globals off

2003-11-23 20:42  mdethmers

	* added support for ADOdb

2003-11-21 18:11  mdethmers

	* Initial revision

2003-11-21 18:11  mdethmers

	* commonlib init

2003-11-21 09:50  mdethmers

	* Initial revision

2003-11-21 09:50  mdethmers

	* initial import


#### ChangeLog before move to SourceForge

Changelog for PHPlist 2003-11-21 20:50

2003-11-20 18:21  michiel

	added merging of attributes

2003-11-20 18:21  michiel

	moved attributes into commonlib

2003-11-20 12:18  michiel

	added userid and groups to session info

2003-11-18 13:31  michiel

	updated frontend security access

2003-11-18 13:10  michiel

	moved mozilla sidebar to plugin

2003-11-18 13:09  michiel

	added display of foreign key (if one) to list of users

2003-11-18 13:08  michiel

	updated CVS import

2003-11-18 09:47  michiel

	updated some variables to use newer style superglobals

2003-11-13 12:50  michiel

	updated integration with Webbler

2003-11-13 12:50  michiel

	updated index for older PHP versions

2003-11-13 10:37  michiel

	added add to group in import

2003-11-10 11:00  michiel

	fixed bug 748, error functions used wrong value to send error
	report to by email

2003-11-10 10:59  michiel

	fixed bug 759, URLs had disappeared in text versions of emails

2003-11-05 16:28  michiel

	added reminder to subscribe to announcements list so people are
	informed of security and other issues

2003-11-05 11:52  michiel

	added htaccess file for increased security

2003-11-05 01:35  michiel

	new version 2.6.4

2003-11-04 22:21  michiel

	new version 2.6.3

2003-11-04 21:42  michiel

	renamed defaultconfig to an inc file

2003-11-04 21:33  michiel

	updated all admin files to increase security from invalid remote
	requests

2003-11-04 12:18  michiel

	updated interface for list of subscribe pages

2003-10-29 16:36  michiel

	new version 2.6.2

2003-10-29 16:35  michiel

	added more verbosity if verbose is on in process queue

2003-10-29 16:34  michiel

	fixed empty Errors-To header

2003-10-28 20:31  michiel

	added security check on login page

2003-10-28 20:24  michiel

	fixed bug number of emails and rss items reported in list of
	members of a list was wrong

2003-10-28 20:23  michiel

	fixed issue where RSS items that contain HTML are stripped for
	sending as text

2003-10-28 19:32  michiel

	fixed bug 736, adding member to a list did not remember
	checkboxgroup values

2003-10-28 19:32  michiel

	fixed bug 737, adding member to a list has option to choose HTML

2003-10-28 19:31  michiel

	added extra security check on admin, IP address needs to stay the
	same

2003-10-28 18:25  michiel

	fixed bug 716, default subscribe page radio button is not checked

2003-10-28 18:22  michiel

	fixed bug 714, configure page does not save when pressing return,
	only when button is clicked

2003-10-28 18:20  michiel

	added check on From and Subject field so they do not contain \r or
	\n, when cut-n-paste has been used to populate the fields

2003-10-28 18:02  michiel

	fixed bug 705, adding a new user passes email address on to
	subscribe page

2003-10-28 18:01  michiel

	fixed bug 707, import2 sets existing user to wrong values

2003-10-28 17:54  michiel

	fixed bug 717, initialise does not create the correct entries in
	the task table

2003-10-22 19:52  michiel

	fixed Header of Outlook workaround showing up in the email body

2003-10-21 14:35  michiel

	new version 2.6.1

2003-10-21 14:33  michiel

	some small tweakes and fixes

2003-10-21 12:06  michiel

	new version 2.6.0

2003-10-21 11:56  michiel

	fixed error when bypassing Outlook bug

2003-10-21 11:51  michiel

	cleaned up a lot of old images and other things

2003-10-20 01:15  michiel

	some interface updates

2003-10-19 15:05  michiel

	changed database error to display in a div, so it won't break the
	page

2003-10-19 15:04  michiel

	added updated version of french.inc

2003-10-18 16:55  michiel

	more on making frontend really work with register globals off

2003-10-18 16:55  michiel

	updated methods in process bounces to mark users as unconfirmed
	when too many bounces received

2003-10-18 16:54  michiel

	made sure that even if an administrator marks a hidden field as
	required it is not (for obvious reasons)

2003-10-18 16:52  michiel

	fixed issue where checkbox group value were not exported correctly

2003-10-16 01:02  michiel

	updated frontend system to properly work with register globals off

2003-10-13 21:40  michiel

	fixed issue in BOCS where some data was placed in the user array,
	that should not be there

2003-10-13 14:00  michiel

	updated formdata listing, improved interface

2003-10-12 14:22  michiel

	added first stage of simple plugin system, to allow addition of
	pages in PHPlist that are not generic, but can still be useful

2003-10-12 14:21  michiel

	added new config variable to allow distiguishing between different
	PHPlist installations in the reports by email

2003-10-12 14:20  michiel

	removed style selection from frontend to stop it interfering with
	frontend design

2003-10-09 18:17  michiel

	update to settings of FCKeditor

2003-10-09 18:17  michiel

	update to italian.inc

2003-10-09 01:32  michiel

	fixed issue where attributes were wiped when using a subset of
	attributes in a subscribe page and only that subscribe page was
	used to update preferences

2003-10-09 01:31  michiel

	fixed problem where admin was not able to unsubscribe a user from
	all lists

2003-10-02 19:32  michiel

	new version 2.5.8

2003-10-02 19:29  michiel

	added feature request 616 prefill From field with configuration
	values

2003-10-02 19:29  michiel

	fixed bug 626, a sub admin cannot see any messages

2003-10-02 19:28  michiel

	fixed bug 624 anyone can harvest user info

2003-10-02 19:26  michiel

	fixed bug 623, sending a message when no users are found by
	criteria sends it to everyone

2003-10-02 19:25  michiel

	fixed bug 620, saving user and listmembership in one go

2003-10-01 22:58  michiel

	fixed import to not overwrite html status of a user if it hasn't
	been specified in the import file

2003-09-30 13:01  michiel

	added functionality to duplicate an entire trunk

2003-09-30 10:55  michiel

	some small fixes

2003-09-30 10:54  michiel

	fixed remembering sort order in list of users when going to the
	next page

2003-09-29 22:59  michiel

	new version 2.5.7

2003-09-29 22:51  michiel

	added functionality that list is hidden in unsubscribe page when
	there is only one list and the config option to hide a single list
	is set

2003-09-29 22:38  michiel

	added configurable character encoding for outgoing messages

2003-09-26 22:27  michiel

	added RFC 2369 headers to outgoing emails

2003-09-22 16:01  michiel

	new version 2.5.6

2003-09-22 15:37  michiel

	added checkboxgroup as selectable criteria when sending a message

2003-09-22 14:50  michiel

	reactivated checkbox as a selectable criteria when sending messages

2003-09-22 13:26  michiel

	merged send and preparesend to facilitate easier updating of code

2003-09-22 13:15  michiel

	updated system to work around Outlook 2000 bug

2003-09-22 13:14  michiel

	fixed bug where users were unsubscribed from all lists, even if a
	subscribe page only listed a few

2003-09-18 12:32  michiel

	new webbler version 2.5.1

2003-09-09 23:21  michiel

	updated system to work with central library

2003-09-08 17:00  michiel

	updated latinamerican translation

2003-09-08 14:43  michiel

	added configurable mimetype for exports

2003-09-08 00:32  michiel

	updated list of messages to be split into different types of
	messages, normal, prepared and rss messages

2003-09-07 17:42  michiel

	fixed issue that user did not save when not using attributes

2003-09-07 00:05  michiel

	new version 2.5.5

2003-09-07 00:00  michiel

	fixed problem with mails not bouncing to the correct address

2003-09-06 21:37  michiel

	added view items to list with RSS feed

2003-09-06 21:34  michiel

	added maximum items to send in RSS mailing, so avoid new users
	getting the entire backlog of items

2003-09-06 01:07  michiel

	fixed invalid return path in messages sent out

2003-09-06 00:34  michiel

	added new layout to list of users

2003-09-05 23:28  michiel

	added separator templates for RSS messages that will be used to
	group rss items by list and give each group a header

2003-09-05 22:47  michiel

	fixed remembering last time RSS was sent for user

2003-09-05 22:14  michiel

	updated interface of list of members

2003-09-05 21:35  michiel

	initial commit

2003-09-05 16:59  michiel

	updated import to create a user with a new (invalid) email if a
	clash is discovered on email when importing with a foreign key

2003-09-04 01:03  michiel

	Updated import and export to use the same format and to follow the
	database structure whenever it changes, which means that system
	values are placed in the correct places without automatic creation
	of attributes.	Added 'Foreign Key' to a user, that will be used to
	match users during import, before matching them on email. This will
	facilitate proper synchronisation between external databases and
	PHPlist, without the requirement to have an email for a user.

2003-09-02 20:39  michiel

	added spanish translation of pagetitles

2003-09-02 15:16  michiel

	new version 2.5.4

2003-09-02 15:13  michiel

	fixed error in attributes

2003-09-01 23:56  michiel

	updated method to replace a RSS message when a new one is created.
	RSS messages are now replaced if they match both frequency and
	admin, which means that each admin can have their own RSS messages.
	However, this does mean that the superadmin needs to be careful
	creating RSS templates that may clash with subadmins

2003-09-01 22:51  michiel

	added filter to eventlog to allow subset of events

2003-09-01 22:06  michiel

	added webbler listing class for nicer interface of listings

2003-09-01 14:42  michiel

	new version 2.5.3

2003-09-01 14:37  michiel

	added check on attributes so email is not added manually

2003-09-01 14:29  michiel

	fixed attribute to add record for existing users when a new
	attribute is added. this issue caused many 'user not found'
	problems when attributes were added after users were imported

2003-08-31 00:54  michiel

	reorganised the menu a little bit

2003-08-30 00:45  michiel

	updated pages to allow a subadmin to change their own password

2003-08-29 23:49  michiel

	added easier interface to change default subscribe page

2003-08-29 23:33  michiel

	added distinction between boolean and other values in configure, so
	1 and 0 can be config numbers as well

2003-08-29 23:20  michiel

	added multiple admin options to subscribe pages

2003-08-29 23:20  michiel

	added link to change default admin password in setup

2003-08-29 23:19  michiel

	added default permissions settings to admins

2003-08-28 15:01  michiel

	fixed table and port bugs in process bounces

2003-08-28 13:11  michiel

	added more reporting and process locking to the RSS retrieval
	process

2003-08-26 16:18  michiel

	added background color to list membership in user page to make it
	clearer what lists the user is a member of

2003-08-26 15:57  michiel

	fixed issue where confirm of user not found displayed the wrong
	info text

2003-08-26 14:45  michiel

	fixed Sql query when changing password

2003-08-22 22:39  michiel

	fixed rss cache to use database name, to avoid clashes of multi
	hosted system

2003-08-22 21:33  michiel

	new version 2.5.2

2003-08-22 21:08  michiel

	fixed File Not Found issue when subscribe page 1 is the default
	(which is quite likely) and a few small bugs and cosmetics

2003-08-15 13:46  michiel

	new version 2.5.1

2003-08-15 12:38  michiel

	added new public page, default preferences where the user can
	request an email with their personal location in it, in order to be
	able to update it. this will also be the page that users get when
	they load the wrong URL, generally because the URL wrapped in the
	email

2003-08-14 16:40  michiel

	new version 2.5.0

2003-08-14 16:33  michiel

	updated signature image to the latest

2003-08-14 16:33  michiel

	added more default options when using phpmail class

2003-08-14 16:31  michiel

	added default subscribe page to configuration to load when no
	subscribe page is identified

2003-08-14 16:31  michiel

	fixed the admin pages to work from command line again

2003-08-14 16:30  michiel

	added check on password if someone subscribes with an existing
	email, that has a password set

2003-08-14 16:29  michiel

	fixed latest version check

2003-08-13 13:10  michiel

	removed confirm on public page

2003-08-13 13:09  michiel

	added phplistmailer class as extension of the popular phpmailer
	class. this is still highly experimental

2003-08-13 13:08  michiel

	updated ut and dl to fit new config file system

2003-08-12 18:13  michiel

	fixed error when adding unknown user to members of a list

2003-08-12 18:12  michiel

	fixed db connection error when no password is used

2003-08-12 12:56  michiel

	new feature: added import from a different PHPlist database

2003-08-07 00:22  michiel

	fixed import to work with new subscribe system

2003-08-06 15:18  michiel

	made a first start to make the backend translatable, by splitting
	help and information in the pages into different directories
	identified by the language iso

2003-08-06 15:08  michiel

	moved usetemplate.php to en

2003-08-06 15:08  michiel

	moved subject.php to en

2003-08-06 15:08  michiel

	moved sendformat.php to en

2003-08-06 15:08  michiel

	moved preparemessage.php to en

2003-08-06 15:08  michiel

	moved message.php to en

2003-08-06 15:08  michiel

	moved index.php to en

2003-08-06 15:08  michiel

	moved from.php to en

2003-08-06 15:07  michiel

	moved format.php to en

2003-08-06 15:07  michiel

	moved attachments.php to en

2003-08-06 13:07  michiel

	added NEWS file with tips between versions, also a README.passwords
	to explain the news password system for the user preferences page

2003-08-06 12:51  michiel

	fixed small cosmetic stuff

2003-08-06 11:53  michiel

	added filter memory to list of users, which means that if you go
	back to the list, it remembers your previous selection. quite
	useful for large numbers of users

2003-08-05 13:00  michiel

	moved language files into their own directory, so upgrades can
	retain them

2003-08-05 11:37  michiel

	removed legacy files subscribe, confirm, subscribelib and
	unsubscribe

2003-08-04 16:52  michiel

	added method to require password for a user to view and edit their
	personal details

2003-08-04 16:51  michiel

	added FCKeditor to send as well

2003-07-31 23:44  michiel

	new version 2.4.0

2003-07-31 23:26  michiel

	integrated FCKeditor with preparesend

2003-07-31 21:43  michiel

	updated preview of templates and message to use iframes, to avoid
	conflicts in design and styles

2003-07-31 21:41  michiel

	updated the powered by image to the latest design

2003-07-31 21:41  michiel

	erased double spacing in from line when using a full email address

2003-07-18 15:34  michiel

	fixed bug in RSS processqueue when nothing to send for a user

2003-07-18 15:20  michiel

	updated processqueue to not send reports when nothing is sent, and
	to count the number of unconfirmed users per message sent out, that
	would have been sent, if the user had been confirmed

2003-07-18 15:05  michiel

	updated viewing of rss items to be per administrator, and changed
	page in tasks to be unique so it is not duplicated in the system

2003-07-18 13:32  michiel

	added more logging of RSS events, and fixed bug when an RSS item
	was not identified as duplicate when it has a very long title

2003-07-17 19:09  michiel

	fixed system to work with Register Globals OFF

2003-07-11 10:09  michiel

	new version 2.3.4

2003-07-11 09:52  michiel

	fixed bug with subscription page where an include included the
	wrong file

2003-07-10 13:49  michiel

	added czech translation

2003-07-10 12:06  michiel

	added more logging of RSS retrieval results

2003-07-09 12:04  michiel

	new version 2.4.7

2003-07-08 14:35  michiel

	New version 2.3.3

2003-07-04 10:02  michiel

	fixed messages lsit when not login required and RSS update for when
	sent to user

2003-07-02 15:37  michiel

	new version 2.3.2

2003-07-02 10:09  michiel

	new version 2.3.1

2003-07-01 14:19  michiel

	new version 2.3.0

2003-07-01 14:18  michiel

	fixes and cleanup

2003-07-01 11:51  michiel

	added webbler userlib for more thorough integration

2003-06-17 14:46  michiel

	
	quite a few small fixed continued to finish off IMAP import added
	ability to specify config file as apache env var

2003-05-15 17:57  michiel

	fixed issue that admins can send messages to lists they don't own

2003-05-15 11:58  michiel

	testing

2003-04-15 14:17  michiel

	new version 2.2.1

2003-04-15 13:42  michiel

	fixed bug in unsubscribe

2003-04-15 13:17  michiel

	added rough checking of templates at upload time. check for URLs
	and existence of images

2003-04-12 14:36  michiel

	bug in user.php referring to wrong table names

2003-04-11 16:34  michiel

	new version 2.2.0

2003-04-11 15:39  michiel

	added functionality to send RSS feeds to the lists

2003-04-09 17:07  michiel

	added support for PDF, initially by converting the text message to
	a PDF attachment

2003-04-09 13:32  michiel

	added support for attachments

2003-03-27 20:37  michiel

	more in imap import

2003-03-24 20:10  michiel

	added import from IMAP

2003-03-24 16:54  michiel

	new version 2.1.4

2003-03-24 10:49  michiel

	load of small fixes and detection of admin logged in on frontend,
	so it allows and admin to add users without sending the request for
	confirmation

2003-03-21 11:59  michiel

	small fixes, user confirmed state can now be updated and config
	variables can be used in messages

2003-03-20 18:04  michiel

	altered processqueue to only log things that are interesting

2003-03-20 17:30  michiel

	changed user management code to allow easier updating of list
	membership

2003-02-25 14:47  michiel

	new version 2.1.3

2003-02-25 14:45  michiel

	
	fixed bug that made the system use website instead of domain for
	emails fixed bug when not using attributes, system didn't accept
	emails fixed bug when selecting yes to display single list, it
	didn't show the list anyway

2003-02-24 10:15  michiel

	new version

2003-02-24 10:14  michiel

	two bugs fixed: columns in message table and commented sendMail

2003-02-21 18:13  michiel

	new version 2.1.1

2003-02-21 18:13  michiel

	small bug in home

2003-02-21 16:22  michiel

	new version: 2.1.0

2003-02-21 13:57  michiel

	added statistics collection

2003-02-21 12:47  michiel

	added page for bugreports and events in the system

2003-02-21 12:46  michiel

	
	A lot of changes: added reconciliation of user data added locking
	of processbouncing added actions on bounces, update user data made
	public pages work better with different sets of pages and templates

2002-11-21 18:32  michiel

	added languages file for reference

2002-11-21 18:30  michiel

	added french

2002-11-21 18:30  michiel

	turkish added

2002-11-21 18:30  michiel

	added admin access to subscribe pages

2002-11-20 10:07  michiel

	removed some old command line processing files and added two new
	ones

2002-11-18 15:47  michiel

	new version 1.9.3

2002-11-18 15:47  michiel

	silly bug in new subscribe page system

2002-11-18 15:06  michiel

	version 1.9.2

2002-11-18 15:05  michiel

	actually added the files, duh

2002-11-18 14:53  michiel

	version 1.9.1

2002-11-18 14:40  michiel

	 new version 1.9.0, addition: configurable subscribe pages in the
	backend

2002-11-18 14:37  michiel

	added portuguese portuguese

2002-11-18 14:36  michiel

	finished off some stuff

2002-11-15 16:52  michiel

	added method to create different subscribe pages on the frontend,
	with their own messages and templates

2002-10-10 18:08  michiel

	new version 1.8.0

2002-10-09 16:08  michiel

	new design

2002-10-03 22:48  michiel

	added bens new design

2002-10-01 13:42  michiel

	changed listing of performances to be in schedule

2002-09-25 23:44  michiel

	new version 1.7.1

2002-09-25 22:59  michiel

	added ability to subselect lists in subscribe and improved parsing
	HTML to plain text

2002-09-25 16:58  michiel

	more on bounce processing

2002-09-23 15:16  michiel

	new version 1.7.0, added: bounce processing

2002-09-20 00:46  michiel

	config for bouncehandling

2002-09-20 00:45  michiel

	more done on bouncehandling

2002-09-19 20:15  michiel

	added bounce processing, needs finishing

2002-09-18 11:40  michiel

	more robust handling of server disconnections

2002-09-05 00:23  michiel

	send text to domains actually implemented

2002-09-04 23:50  michiel

	more help and changed help system

2002-08-28 20:16  michiel

	new version 1.6.4

2002-08-28 20:13  michiel

	bug fix preventing forms being submitted in IE and NS

2002-08-09 18:15  michiel

	new version 1.6.3

2002-08-09 18:13  michiel

	loads of fixes and finished export, some cleaning up

2002-08-01 09:01  michiel

	more work to integrate with EU

2002-07-31 17:06  michiel

	fixed search and continued integration of phplist

2002-07-23 11:58  michiel

	new version 1.6.1

2002-07-22 22:22  michiel

	ability to hide a single list

2002-07-22 12:25  michiel

	new version 1.6.0

2002-07-16 23:17  michiel

	some moving around of files to put all configurable files in one
	directory

2002-07-10 09:22  michiel

	additions to make pages work in safe mode

2002-05-31 12:33  michiel

	small fixes and attribute selection when sending prepared message
	fixed

2002-05-31 11:22  michiel

	added more access checks for admin, not all done yet

2002-05-24 15:58  michiel

	new version 1.5.1

2002-05-24 15:29  michiel

	export is importable

2002-05-24 15:10  michiel

	checkboxes are now remembered

2002-05-24 11:26  michiel

	small changes

2002-05-24 11:14  michiel

	added copying to lists and processing all members of a list

2002-05-24 10:27  michiel

	bugfixes and generic mail added

2002-05-17 11:07  michiel

	fixed problems in import

2002-05-16 18:36  michiel

	new version 1.5.0

2002-05-16 18:32  michiel

	more bugs and envelope added

2002-05-16 18:26  michiel

	more bugs and envelope added

2002-05-16 17:31  michiel

	loads of bugfixes

2002-05-14 16:51  michiel

	finishing off

2002-05-13 23:42  michiel

	reset config

2002-05-13 23:39  michiel

	authorization and authentication added

2002-05-13 17:45  michiel

	file importadmin.php was initially added on branch pl143cr.

2002-05-13 17:45  michiel

	file sendprepared.php was initially added on branch pl143cr.

2002-05-13 17:45  michiel

	file preparesend.php was initially added on branch pl143cr.

2002-05-10 18:08  michiel

	file image.php was initially added on branch pl143cr.

2002-05-09 18:35  michiel

	file admin.php was initially added on branch pl143cr.

2002-05-08 16:59  michiel

	new files

2002-05-08 16:59  michiel

	file admins.php was initially added on branch pl143cr.

2002-05-08 16:14  michiel

	file logout.php was initially added on branch pl143cr.

2002-05-08 16:14  michiel

	file adminattributes.php was initially added on branch pl143cr.

2002-05-08 16:14  michiel

	new files

2002-05-08 16:14  michiel

	file login.php was initially added on branch pl143cr.

2002-05-08 09:18  michiel

	#

2002-05-01 15:44  michiel

	new version

2002-05-01 15:37  michiel

	bug in defaultconfig

2002-04-29 17:34  michiel

	linked users to user search results

2002-04-25 17:19  michiel

	stylesheet changes

2002-04-23 10:14  michiel

	bugfix when using prefix

2002-04-18 22:49  michiel

	new version 1.4.1

2002-04-17 00:03  michiel

	index added for generic frontend

2002-04-16 23:45  michiel

	almost done with editable config

2002-04-14 22:33  michiel

	more configure

2002-04-14 22:30  michiel

	more configure

2002-04-13 21:21  michiel

	fixed way checkboxes get dealt with and bug in download

2002-04-12 19:19  michiel

	changes to configuration system

2002-04-11 16:33  michiel

	new version

2002-04-11 16:32  michiel

	fixes in language modules and HTML email

2002-04-09 23:07  michiel

	some alterations to work with EU, not finished

2002-04-09 23:00  michiel

	class added for plugging into easyuploader

2002-04-09 09:33  michiel

	new version

2002-04-08 17:19  michiel

	bug in sending

2002-04-05 10:47  michiel

	new version

2002-04-05 10:44  michiel

	Finalised HTML email and preferences update

2002-03-30 11:23  michiel

	almost there with HTML, hopefully, bit more testing needed

2002-03-30 00:48  michiel

	more html email added, not finished

2002-03-28 18:11  michiel

	next stage of HTML email

2002-03-28 16:13  michiel

	first stage of templates and some help

2002-03-26 23:22  michiel

	more new linking method

2002-03-26 12:41  michiel

	new method for linking pages

2002-03-05 00:50  michiel

	new version

2002-03-05 00:16  michiel

	new method of upgrade

2002-03-05 00:15  michiel

	german updated

2002-03-04 23:55  michiel

	add sorting of attr, resending of msgs, fixing bit and pieces

2001-11-26 16:58  michiel

	new version 1.3.7

2001-11-23 17:26  michiel

	added new upgrade

2001-11-23 17:25  michiel

	minor bugfixes

2001-11-20 16:10  michiel

	new version

2001-11-20 16:03  michiel

	added prefix to database tables

2001-10-29 11:47  michiel

	bugfix in progress meter

2001-10-25 15:36  michiel

	new version 1.3.5

2001-10-25 14:19  michiel

	bug in membership of lists

2001-10-25 12:23  michiel

	finished off editing user

2001-10-25 00:43  michiel

	
	* added a javascript progress bar to pages that can take a while to
	process * added possibility to change attribute-types into each
	other	(had been lost after addition of textline attributes) *
	fixed some bugs * added ability to change user details (for
	administrator)

2001-10-20 16:19  michiel

	new version

2001-10-20 16:16  michiel

	change in config

2001-10-20 15:46  michiel

	added portugues

2001-10-19 22:04  michiel

	changed tag

2001-10-19 22:00  michiel

	added versioning mechanism

2001-10-19 21:59  michiel

	minor changes

2001-10-16 12:27  michiel

	bugs in subscribe fonts

2001-10-06 12:21  michiel

	little bug in import2

2001-10-06 11:21  michiel

	little bug

2001-10-03 23:04  michiel

	small fixes

2001-10-03 22:52  michiel

	small bug in test

2001-10-03 17:53  michiel

	some test bugs

2001-10-03 13:22  michiel

	made cgi script up to date with current version

2001-10-03 11:47  michiel

	small changes

2001-10-02 17:44  michiel

	finishing for publishing

2001-10-02 17:09  michiel

	finishing for publishing

2001-10-02 16:23  michiel

	small fix

2001-10-02 15:20  michiel

	small fixes

2001-10-02 13:45  michiel

	little bug

2001-10-02 13:40  michiel

	change in structure

2001-10-02 00:55  michiel

	new version tag pl131

2001-10-02 00:53  michiel

	small fixes and bugs

2001-10-02 00:40  michiel

	small fixes and bugs

2001-10-01 18:36  michiel

	Tags file added for tag releases

2001-10-01 18:34  michiel

	Major changes, including new freetext import

2001-09-20 18:39  michiel

	stylesheet updates

2001-09-20 17:12  michiel

	added required as css class

2001-09-03 15:53  michiel

	added dutch and new upgrade

2001-08-30 13:33  michiel

	changed confusion

2001-08-30 11:48  michiel

	small fixes

2001-08-30 11:36  michiel

	change in styles and added requirement of text lines

2001-08-24 13:14  michiel

	finished adding text lines

2001-08-24 12:20  michiel

	text as attributes

2001-08-24 12:07  michiel

	small

2001-08-24 12:04  michiel

	added text as attributes type

2001-08-10 19:23  michiel

	small fixes

2001-08-10 17:59  michiel

	bug in processqueue, if no attributes apply it would send to all
	users anyway. Fixed

2001-08-10 17:13  michiel

	added multiple delete in attributes

2001-08-07 17:24  michiel

	added default step 2

2001-08-07 17:14  michiel

	added default values for attributes

2001-08-07 15:47  michiel

	small bugs

2001-08-02 18:30  michiel

	actually added pagetop

2001-08-02 18:24  michiel

	centralised header and added sending confirmation message

2001-08-02 15:06  michiel

	added danish and 2nd italian.inc

2001-08-02 12:11  michiel

	finished off import, to allow complete address info in import file

2001-08-01 19:21  michiel

	added italian

2001-08-01 19:20  michiel

	
	Fixed little bug in header Added importing, revision 1

2001-08-01 12:35  michiel

	Initial Upload

2001-08-01 12:35  michiel

	Initial revision


Moved to CVS, changelog is supposed to be automatic now :-)

Old changelog before CVS:

1.1.7 1 Aug 2001
* added importing of lists of emails, part of code contributed by Kaare Christensen, kaare@mermaidconsulting.com
* finally add italian which had been contributed ages ago

1.1.6 12 Jun 2001
* wrapped it all up and published

1.1.5 6 Jun 2001
* added finding a user
* added dynamic selection of stylesheets

1.1.5b 5 Jun 2001 (oops, half a year later)
* added upgrading
* ben made me a nice design
* made stress testing a bit more useful
* some minor fixes related to redesign
* added confirmation of subscription

1.1.4b 6 Dec 2000
* bug in editlist
* bug in deleting a message
* bug in users, not showing no of msgs

1.1.3b 26 October 2000
* showing attributes when viewing user
* typo in unsubscribe_url
* problem with message footer
* host not exported to processing
* added exporting to CSV

1.1.2b 17th October 2000
* bug in members, when adding single user
* added checking for other running send processes, to avoid too many clogging up the machine
  and making the other crawl to a halt

1.1.1b 16th October 2000 - released in beta
* started using PHP4 specific stuff, PHP3 will not work any more
* separated db calls to allow for extension to other DBs
* separated user interface strings to allow translations
* made user attributes databased for more flexible configuration, with loads of consequences:
  - process queue has different method to find users.
  - subscribe uses new listing
  - admin uses new strucure
* users now get UNIQID, which allows them to go back and get their details directly
  (ie site "remembers" them).
* more items for a list or a message, prefix, footer, ordering
* paged listing of users when over 50, both in "all users" and "list membership"
* actions on userlists, move or delete multiple
* changed all files to .php instead of .php3

1.0.1 September 2000 (not published)
* moved config and connect to admin dir to allow password protection of docs
* bit more error capturing
* more help information
* some bugs removed
* different formatting of outgoing from-email

1.0 initial release. April 2000.
